View Single Post
Posts: 1,245 | Thanked: 3,809 times | Joined on May 2011 @ Brazil
#2819
I've dist-upgraded Estel's squeeze image to wheezy by :
[root@m5estel: /etc/apt] echo libasound2 hold | dpkg --set-selections
[root@m5estel: /etc/apt] apt-get dist-upgrade
[root@m5estel: /etc/apt] apt-get purge avahi-daemon
Suggestion : increase the image size to > 3.0 GB (e.g., 3.5GB) because wheezy takes more space, i.e., Estel's squeeze image has 1282MB free, but after conversion to wheezy we have just 717MB free (even after apt-get clean & apt-get autoremove).

Originally Posted by Estel View Post
Thanks a lot for You reply, sulu. I'm convinced, that slow start of LXDE is due to WICD sh*t starting, despite that I've literally purged everything that had wicd in package name, same for network-manager and it's dependencies. Still, I get prompts and errors mentioned earlier, on every LXDE start:
wicd asking for password
wicd complaining about inability to connect to d-bus
wicd complaining about it's interface being disabled
finally, ugly pop-up saying that i'm not connected...

Other than that, and chromium problem, there isn't anything else wrong.
If we :
[root@m5estel: /] apt-get remove network-manager
then the result is :
Code:
The following extra packages will be installed:
  python-glade2 python-wicd wicd wicd-daemon wicd-gtk wireless-tools
The following packages will be REMOVED:
  network-manager network-manager-gnome
The following NEW packages will be installed:
  python-glade2 python-wicd wicd wicd-daemon wicd-gtk wireless-tools
Need to get 591 kB of archives.
After this operation, 6,661 kB disk space will be freed.
I have the same wicd errors when starting LXDE.
Removing the above wicd packages reinstalls network-manager and wicd errors remain !
Due to network-manager, after each apt-get/dpkg :
Code:
Errors were encountered while processing:
 network-manager
 network-manager-gnome
So, it is better to leave network-manager.

As Estel cited, chromium-browser remains not updated, as well as openjdk-6-jre and sound packages :
Code:
The following packages have been kept back:
  alsa-utils aqualung chromium-browser chromium-browser-l10n gnome-alsamixer gstreamer0.10-pulseaudio libasound2
  libasound2-plugins libpulse-mainloop-glib0 libpulse0 openjdk-6-jre pavucontrol pavumeter pulseaudio
  pulseaudio-esound-compat pulseaudio-module-x11 pulseaudio-utils
So I've added Iceweasel/Firefox :
Code:
apt-get install --no-install-recommends iceweasel
but without Flash / Java plugins.
__________________
Python, C/C++, Qt and CAS developer. For Maemo/MeeGo/Sailfish :
Integral, Derivative, Limit - calculating mathematical integrals, derivatives and limits. SymPy - Computer Algebra System.
MatPlotLib - 2D & 3D plots in Python. IPython - Python interactive shell.
-- My blog about mobile & scientific computing ---
2 Jolla 1, Jolla C, Jolla Tablet. 2 Nokia N9. Nexus 4 with Sailfish. Nokia N900 & N810.

Last edited by rcolistete; 2012-08-13 at 00:00. Reason: Added comment about Iceweasel
 

The Following 3 Users Say Thank You to rcolistete For This Useful Post: